import request from '@/utils/request'

// 查询宅基地批准书列表
export function listHomeapplynczjdpzs(query) {
  return request({
    url: '/home/homeapplynczjdpzs/list',
    method: 'get',
    params: query
  })
}

// 导出宅基地批准书
export function exportHomeapplynczjdpzs(query) {
  return request({
    url: '/home/homeapplynczjdpzs/export',
    method: 'get',
    params: query
  })
}

// 查询宅基地批准书详细
export function getHomeapplynczjdpzs(id) {
  return request({
    url: '/home/homeapplynczjdpzs/get/' + id,
    method: 'get'
  })
}

// 新增宅基地批准书
export function addHomeapplynczjdpzs(data) {
  return request({
    url: '/home/homeapplynczjdpzs/add',
    method: 'post',
    data: data
  })
}

// 修改宅基地批准书
export function updateHomeapplynczjdpzs(data) {
  return request({
    url: '/home/homeapplynczjdpzs/edit',
    method: 'post',
    data: data
  })
}

// 删除宅基地批准书
export function delHomeapplynczjdpzs(id) {
  return request({
    url: '/home/homeapplynczjdpzs/remove/' + id,
    method: 'get'
  })
}

